Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021916
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Retail Modules] Web POSmajorhave not tried2012-10-11 13:492013-04-02 20:03
ReporteradrianromeroView Statuspublic 
Assigned Toadrianromero 
PriorityurgentResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revision0d6242271596
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021916: The payment panel only supports 5 payment methods

DescriptionAccording to the current on-screen keypad, there is only room for 5 buttons on the left of the keypad, that means that there can be only 5 payment methods.

Steps To ReproduceJust go to the payment panel in web pos and check that there is only room for 5 buttons on the left of the on-screen keypad
Proposed SolutionPossible solutions:

* Make this list of buttons scrollable.
* Reduce the height of the buttons
* Reduce the with of the buttons and put 2 buttons by row instead of one.
TagsNo tags attached.
Attached Filespng file icon USECREDIT_0006_More-Buttons.png [^] (134,334 bytes) 2012-10-24 10:17


png file icon USECREDIT_0007_More-Dialog.png [^] (134,110 bytes) 2012-10-24 10:18

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0022153RMP17 closedguilleaer Payments form in WebPOS loses layout format when having more than 3 payments 
has duplicate feature request 0022061 closedrgoris Payment Methods and Currencies in dial pad button list is not scalable 

-  Notes
(0053591)
rgoris (developer)
2012-10-24 10:18

Added two images with proposed solution.
(0055505)
hgbot (developer)
2013-01-14 12:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 100f4b637ccf899b302731c18585d6202c4375b3
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Jan 10 13:49:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/100f4b637ccf899b302731c18585d6202c4375b3 [^]

Issue 0021916: The payment panel only supports 5 payment methods
Refactor of buttons definition of the payment panel

---
M web/org.openbravo.retail.posterminal/js/components/modalpayment.js
M web/org.openbravo.retail.posterminal/js/model/product.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0055506)
hgbot (developer)
2013-01-14 12:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b68fa723723474bc6f6b6b21d877d5b9d60d3313
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Mon Jan 14 12:22:37 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b68fa723723474bc6f6b6b21d877d5b9d60d3313 [^]

Issue 0021916: The payment panel only supports 5 payment methods

---
M web/org.openbravo.retail.posterminal/js/components/keyboard.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0055507)
hgbot (developer)
2013-01-14 12:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: db4b317c07edcef30efa5239e831324110ca1260
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Mon Jan 14 12:27:36 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/db4b317c07edcef30efa5239e831324110ca1260 [^]

Issue 0021916: The payment panel only supports 5 payment methods

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0055508)
hgbot (developer)
2013-01-14 12:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d2a26d9924dfd6689c7ad349b736c02cbaa89906
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Mon Jan 14 12:45:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d2a26d9924dfd6689c7ad349b736c02cbaa89906 [^]

Issue 0021916: The payment panel only supports 5 payment methods

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0055509)
hgbot (developer)
2013-01-14 13:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0d62422715969765c8a5836fb3f486a89f007a78
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Mon Jan 14 13:28:33 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0d62422715969765c8a5836fb3f486a89f007a78 [^]

Fixes issue 0021916: The payment panel only supports 5 payment methods.
Fixes typo and unused component

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0055819)
hgbot (developer)
2013-01-24 18:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 924578ae5f66267edacd6a39bd0f08d5aba30c3d
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Jan 24 18:43:07 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/924578ae5f66267edacd6a39bd0f08d5aba30c3d [^]

Issue 0021916: The payment panel only supports 5 payment methods
Improves user interface for the dialog that contains the buttons

---
M web/org.openbravo.retail.posterminal/js/components/keyboard.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0055850)
guilleaer (developer)
2013-01-25 11:23

verified
(0057587)
hgbot (developer)
2013-04-02 20:03

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 924578ae5f66267edacd6a39bd0f08d5aba30c3d
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Jan 24 18:43:07 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/924578ae5f66267edacd6a39bd0f08d5aba30c3d [^]

Issue 0021916: The payment panel only supports 5 payment methods
Improves user interface for the dialog that contains the buttons

---
M web/org.openbravo.retail.posterminal/js/components/keyboard.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---

- Issue History
Date Modified Username Field Change
2012-10-11 13:49 adrianromero New Issue
2012-10-11 13:49 adrianromero Assigned To => adrianromero
2012-10-23 18:27 adrianromero Relationship added has duplicate 0022061
2012-10-24 10:17 rgoris File Added: USECREDIT_0006_More-Buttons.png
2012-10-24 10:18 rgoris File Added: USECREDIT_0007_More-Dialog.png
2012-10-24 10:18 rgoris Note Added: 0053591
2012-11-09 12:57 alostale Relationship added related to 0022153
2012-11-09 12:57 alostale Priority normal => urgent
2012-11-09 12:57 alostale Status new => scheduled
2012-12-20 14:23 adrianromero Target Version => RMP18
2012-12-20 17:59 adrianromero Type defect => design defect
2012-12-20 17:59 adrianromero Target Version RMP18 => RMP19
2013-01-09 10:45 marvintm Assigned To adrianromero => guilleaer
2013-01-10 08:59 adrianromero Assigned To guilleaer => adrianromero
2013-01-14 12:45 hgbot Checkin
2013-01-14 12:45 hgbot Note Added: 0055505
2013-01-14 12:45 hgbot Checkin
2013-01-14 12:45 hgbot Note Added: 0055506
2013-01-14 12:45 hgbot Checkin
2013-01-14 12:45 hgbot Note Added: 0055507
2013-01-14 12:45 hgbot Checkin
2013-01-14 12:45 hgbot Note Added: 0055508
2013-01-14 13:28 hgbot Checkin
2013-01-14 13:28 hgbot Note Added: 0055509
2013-01-14 13:28 hgbot Status scheduled => resolved
2013-01-14 13:28 hgbot Resolution open => fixed
2013-01-14 13:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0d62422715969765c8a5836fb3f486a89f007a78 [^]
2013-01-24 18:44 hgbot Checkin
2013-01-24 18:44 hgbot Note Added: 0055819
2013-01-25 11:23 guilleaer Review Assigned To => guilleaer
2013-01-25 11:23 guilleaer Note Added: 0055850
2013-01-25 11:23 guilleaer Status resolved => closed
2013-01-25 11:23 guilleaer Fixed in Version => RMP19
2013-04-02 20:03 hgbot Checkin
2013-04-02 20:03 hgbot Note Added: 0057587


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker